Subject: Re: [Roll] AppsDir review of draft-ietf-roll-terminology-12.txt

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 5 Jul 2013 07:00:47 +0000

Hi Carsten,

Thanks, I will add a sentence at the beginning ... "The intent of this document is to provide a high level definition of terms 
used in various documents produced by Working Groups specifying solutions for the Internet of Things." This way the 
document will stay in the spirit of the objectives of that draft in ROLL.

Does that address your concern ?

Thanks.

JP.

On Mar 30, 2013, at 2:33 PM, Carsten Bormann wrote:

> Hi Adrian,
> 
> thanks for trying to read my somewhat terse statements, and I apologize for making them as easy to misunderstand as I did.
> 
> I didn't pay attention to the discussion that led up to this document.
> I was trying to read it from scratch as a document that somebody from a different area would use to gain access to the terminology used in the ROLL work.
> 
> With my critique, I was less interested in the stylistic issues but in the definitional intent.
> 
> I think we can all agree that terms like "flash memory" or "field device" are useful in the vocabulary of someone trying understand ROLL documents.
> There is no need to "define" these terms, as they already work in their industry-standard usage.
> So that would be the glossary aspect of the document: gathering information about these terms that is focused on the ROLL context.  E.g., highlighting the potential constrainedness of field devices makes this glossary entry more immediately useful than a Wikipedia entry (which strangely doesn't exist) would be.
> 
> Re the coverage:  I used U-LLN as an example of a potentially missing term because draft-tripathi-roll-reactive-applicability-00.txt uses it as if the reader were expected to know it.
> Fortunately, its first use there is close to a reference to 5548, so the definition was easy to find.
> But. more generally speaking, if the intent is to list terms that are *not* defined in the RFCs, that would also be a useful way of scoping.
> 
> I was expecting more definitional intent on the terms that have been invented or appropriated for and by ROLL.  
> But maybe that is a misunderstanding on my part of what this document is about (the WG charter did not help me in identifying its objective, and the introduction reads like there is defining intent).
> 
> 
> So, in summary, if the WG intends this to be a loose collection of a number of background terms with a glossary-like intent, there is indeed only a bit more editorial work remaining, starting with clarifying that objective.  Maybe the alphabetic arrangement should have alerted me that this might really be the objective.
> 
> But then, coming from an applications area point of view, I'm still looking forward to a future ROLL terminology document.  Is "MP2P" a traffic pattern while "P2MP" isn't?  What is the relationship between RFC 4461 "P2MP LSP"s and what is called "P2MP" in RFC 6550?  What is the relationship between RFC 1112's "multicast" and what is called "multicast" in draft-ietf-roll-trickle-mcast-04.txt, which just completed WGLC?  What is the relationship between RFC 1122's "host"s and RFC 6550's "host"s?  What *is* an LLN?
> 
> Grüße, Carsten
>